Roxen.git / server / modules / scripting / perl.pike

version» Context lines:

Roxen.git/server/modules/scripting/perl.pike:6:      //<locate-token project="perl_module">LOCALE</locale-token>   // USE_DEFERRED_LOCALE;   #define LOCALE(X,Y) _DEF_LOCALE("perl_module",X,Y)      #include <module.h>   inherit "module";   inherit "roxenlib";      string cvs_version = -  "$Id: perl.pike,v 2.15 2001/01/30 13:48:48 leif Exp $"; +  "$Id: perl.pike,v 2.16 2001/03/03 07:15:12 per Exp $";      constant module_type = MODULE_FILE_EXTENSION | MODULE_TAG;    - constant module_name = "Perl support"; + constant module_name = "Scripting: Perl support";   constant module_doc =    "This module provides a faster way of running Perl scripts with Roxen. "    "The module also optionally provides a &lt;perl&gt;..&lt;/perl&gt; "    "container (and a corresponding processing instruction &lt;?perl ... "    "?&gt;) to run Perl code from inside RXML pages.";      static string recent_error = 0;   static int parsed_tags = 0, script_calls = 0, script_errors = 0;      static mapping handler_settings = ([ ]);